<?php session_start();?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<?php
require('../cfg/res.php');	
require('../../_lib/vrnumlet2.php');

// if (mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])){$xacceso=1;}


$fecha1 = date('Y-m-j');
$nuevafecha = strtotime ( '-1 month' , strtotime ( $fecha1 ) ) ;
$xfecha1 = date ( 'Y/m/j' , $nuevafecha );
$xfecha1 = date('Y/m/'.'1');
$xfecha2 = date('Y/m/d');

$sql_datesp='SET lc_time_names = "es_UY"';
$res_datesp=mysql_query($sql_datesp,$link_vcrx);

$sql_rolxet='select *,
	sum(tcant) as ttcant,
	sum(tsubt) as ttsubt,
	sum(tegreso) as ttegreso,
	sum(tprovi1) as ttprovi1,
	sum(tprovi2) as ttprovi2,
	sum(tingreso) as ttingreso,
	sum(total) as ttotal
	from rolp12 where ';

$xfgrou='E';
if(isset($_GET['fgrou']) && !empty($_GET['fgrou']))
{$xfgrou=$_GET['fgrou'];}

$xfcodi='1';
if (mb_stristr('elco',substr($_SESSION['user_vcrx_empr'],0,4)))
{$xfcodi='2';}


if(isset($_GET['fcodi']) && !empty($_GET['fcodi']))
{
	$xfcodi=$_GET['fcodi'];
}
switch ($xfcodi)
{
	case '1': $item_codi='nvdd';break;
	case '2': $item_codi='item_codigov';break;
	case '3': $item_codi='item_ean';break;
	default : $item_codi='nvdd';break;
}


$sql_rolxe.='(';

if(isset($_GET['fecha_ini']) && !empty($_GET['fecha_ini']) && isset($_GET['fecha_fin']) && !empty($_GET['fecha_fin']))
{
	$xfecha1=$_GET['fecha_ini'];
	$xfecha2=$_GET['fecha_fin'];
}

$sql_rolpf='select min(fecha) as fecha from rolp1 where status!="X" and status!="O" and fecha>="'.$xfecha1.'"';
$res_rolpf=mysql_query($sql_rolpf,$link_vcrx);
$xfecha1b=mysql_result($res_rolpf,0,'fecha');

$sql_rolpf='select max(fecha) as fecha from rolp1 where status!="X" and status!="O" and fecha<="'.$xfecha2.'"';
$res_rolpf=mysql_query($sql_rolpf,$link_vcrx);
$xfecha2b=mysql_result($res_rolpf,0,'fecha');



	$xanios=date('Y',strtotime($xfecha2b))-date('Y',strtotime($xfecha1b))+1;
	$xanio1=date('Y',strtotime($xfecha1b));
	$xanio2=date('Y',strtotime($xfecha2b));

	$dias=intval(strtotime($xfecha2b) - strtotime($xfecha1b))/60/60/24;
    $anios=date('Y',strtotime($xfecha2))-date('Y',strtotime($xfecha1));
	switch ($xfgrou)
	{
	case 'M':
		$xfecha1=date('Y/m/'.'1',strtotime($xfecha1));
		
		if($dias<=31)
		{$xfecha1=date('Y/m/'.'1',strtotime('-2 month',strtotime($xfecha1)));}

		//if($dias>360)
		//{$xfecha1=date('Y/'.'1/1',strtotime($xfecha1));}

		//if($anios!=0)
		//{$xfecha1=date('Y/'.'1/1',strtotime($xfecha1));}
		
		$xfecha2=date('Y/m/t',strtotime($xfecha2));
		break;

	case 'S':
		if($dias<=7)
		{$xfecha1=date('Y/m/d',strtotime('-1 month',strtotime($xfecha1)));}
		
		$xfecha1=date('Y/m/d',strtotime('-'.date('w',strtotime($xfecha1)).' day',strtotime($xfecha1)));
		$xfecha2=date('Y/m/d',strtotime('+'.(6-date('w',strtotime($xfecha2))).' day',strtotime($xfecha2)));

		break;
	}

	$sql_rolxet.='fecha BETWEEN "'.$xfecha1.'" and "'.$xfecha2.'"';
	$sql_rolxe.='and fanio BETWEEN "'.$xanio1.'" and "'.$xanio2.'"';



$sql_rolxe.=')';
//echo $sql_rolxe;


$sql_rolxe=str_replace(')(',')||(',$sql_rolxe);

if(isset($_GET['fdocu']) && !empty($_GET['fdocu']))
{
	//$sql_rolxe.=' and  (docu like "'.$_GET['fdocu'].'%" or docu_descri like "%'.$_GET['fdocu'].'%" ) ';
	$sql_rolxe.=' and  (docu like "'.$_GET['fdocu'].'%"  ) ';
	$xfdocu=$_GET['fdocu'];
}



if(isset($_GET['fenti']) && !empty($_GET['fenti'])) {$xfenti=$_GET['fenti'];}

if(!mb_stristr('sist.supe',$_SESSION['user_vcrx_tipo'])) {$xfenti=$_SESSION['user_vcrx_id'];}

if ($xfenti!="") {$sql_rolxet.=' and  (enti2 like "'.$xfenti.'%" or enti_descri like "%'.$xfenti.'%" ) ';}


if(isset($_GET['fitem']) && !empty($_GET['fitem']))
{
	$sql_rolxe.=' and  (item like "'.$_GET['fitem'].'%" or nvdd_descri like "%'.$_GET['fitem'].'%" ) ';
	$xfitem=$_GET['fitem'];
}



if(isset($_GET['fcdad']) && !empty($_GET['fcdad']))
{
	$sql_rolxe.=' and  (prvc_descri like "%'.$_GET['fcdad'].'%" or enti_cdad like "'.$_GET['fcdad'].'%" or cdad_descri like "%'.$_GET['fcdad'].'%"  ) ';
	$xfcdad=$_GET['fcdad'];
}

if(isset($_GET['fcsub']) && !empty($_GET['fcsub']))
{
	$sql_rolxe.=' and  (enti_csub like "'.$_GET['fcsub'].'%" or csub_descri like "%'.$_GET['fcsub'].'%" ) ';
	$xfcsub=$_GET['fcsub'];
}

if(isset($_GET['flsub']) && !empty($_GET['flsub']))
{
	$sql_rolxe.=' and  (item_lsub like "'.$_GET['flsub'].'%" or lsub_descri like "%'.$_GET['flsub'].'%" ) ';
	$xflsub=$_GET['flsub'];
}


if(isset($_GET['fvndd']) && !empty($_GET['fvndd']))
{
	$sql_rolxe.=' and  (vndd like "'.$_GET['fvndd'].'%" ) ';
	$xfvndd=$_GET['fvndd'];
}

if(isset($_GET['frcdd']) && !empty($_GET['frcdd']))
{
	//$sql_rolxe.=' and  (enti like "%'.$_GET['frcdd'].'%" ) ';
	$xfrcdd=$_GET['frcdd'];
}




if(isset($_GET['fctlg']) && !empty($_GET['fctlg']))
{
	//$sql_rolxe.=' and  (enti_nctlg ='.$_GET['fctlg'].' )';
	$xfctlg=$_GET['fctlg'];
}

	$sql_rolxe.=' and(status!="X") ';
	$sql_rolxe.=' and(status!="O") ';

if (mb_stristr('gnya',$_SESSION['user_vcrx_empr']))
{$sql_rolxe.=' and(docu!="NV13") ';}



$xforde='D';
if(isset($_GET['forde']) && !empty($_GET['forde']))
{$xforde=$_GET['forde'];}

switch ($xfgrou)
{
	case 'D':$xgroup='docu,ptoe,numero,idnum1 ';break;
	case 'E':$xgroup='enti_csub,enti_descri,enti2 ';break;
	case 'I':$xgroup='nvdd_posi,nvdd,nvdd_descri  ';break;

	case 'P':$xgroup='ptoe ';break;
	case 'V':$xgroup='vndd ';break;
	case 'C':$xgroup='csub ';break;
	case 'L':$xgroup='item_lsub ';break;
	case 'R':$xgroup='enti_csub,enti2,nvdd ';break;
	case 'C':$xgroup='cdad ';break;

	case 'A':$xgroup='fanio ';break;
	case 'M':$xgroup='fanio,fmes ';break;
	case 'S':$xgroup='fanio,fsema ';break;
	case 'F':$xgroup='fecha ';break;

	default :$xgroup='';break;
}



switch ($xforde)
{
	case 'D':$xorder=$xgroup;break;
	case 'C':$xorder=str_replace('_descri','',$xgroup);
			$xorder=str_replace(',nvdd',','.$item_codi.',nvdd_descri,nvdd',$xorder);break;
	case 'T':$xorder='ttotal desc, '.str_replace('_descri','',$xgroup);break;

	default :$xorder=$xgroup;break;
}

//$xorder=str_replace('_codigo','',$xorder)

$sql_rolxet.=' group by enti2 order by enti_csub, enti_descri';

// $sql_rolxe.=' group by '.$xgroup;
// $sql_rolxe.=' order by '.$xorder;
// $res_rolxe=mysql_query($sql_rolxe,$link_vcrx);



// $totreg = mysql_num_rows($res_rolxe);




switch ($xfgrou)
{
	case 'D':$xgroup='DOCUMENTO ';break;
	case 'E':$xgroup='CENTRO / EMPLEADO ';break;
	case 'I':$xgroup=' NOVEDADES';break;

	case 'P':$xgroup='PTO.EMISION ';break;
	case 'V':$xgroup='VENDEDOR ';break;
	case 'C':$xgroup='CENTRO ';break;
	case 'L':$xgroup='LINEAS ';break;
	case 'R':$xgroup='COD.RET. ';break;
	case 'C':$xgroup='CIUDAD ';break;

	case 'A':$xgroup='ANIO ';break;
	case 'M':$xgroup='MESES ';break;
	case 'S':$xgroup='SEMANAS';break;
	case 'F':$xgroup='FECHA ';break;

	default :$xgroup='';break;
}



switch ($xforde)
{
	case 'D':$xorder='NOMBRE ';break;
	case 'C':$xorder='CODIGO ';break;
	case 'T':$xorder='TOTALES';break;

	default :$xorder='';break;
}





?>


<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<title>Roles de Pago (Nomina)</title>
<style type="text/css">
body{ font-family:"Courier New", Courier, monospace;}
H1.SaltoDePagina{PAGE-BREAK-BEFORE: always}

</style>


</head>
<body>

	
<?php
// echo $sql_rolxet;
$cdoble=2;	
$filax=0;
$res_rolxet=mysql_query($sql_rolxet,$link_vcrx);

// $xttingreso=mysql_result($res_rolxet,0,'ttingreso');
// $xttegreso=mysql_result($res_rolxet,0,'ttegreso');
// $xttprovi1=mysql_result($res_rolxet,0,'ttprovi1');
// $xttprovi2=mysql_result($res_rolxet,0,'ttprovi2');
// 	echo $sql_rolxet;
while($r_rolxet=mysql_fetch_assoc($res_rolxet))
{
$duni=2;
$xenti=$r_rolxet['enti2'];
$xtingreso=$r_rolxet['ttingreso'];
$xtegreso=$r_rolxet['ttegreso'];
$xtprovi1=$r_rolxet['ttprov1'];
$xtprovi2=$r_rolxet['ttprovi2'];
// 	echo $xtingreso;
?>

<?php 
	for($xcont=1;$xcont<=$cdoble;$xcont++)
	{
?>

<div align="center" style="height:600px;">
<div align="center" style="width:1100px; font-size:12px;">
<div align="center" style="font-size:18px; border:#000 solid 1px; background: #F7F7F7; margin:2px; font-weight: bold;">ROL DE PAGO</div>

<table width="100%" cellspacing="0" cellpadding="2">
<tr valign="top">
<td width="50%">

<table border="1"  width="100%" cellpadding="2" cellspacing="0" style="border-collapse:collapse">
<tr>
	<th width="30%" style="background: #F7F7F7;">PARAMETROS</th>
	<th></th>
</tr>

<tr>
    	<td style="font-weight:bolder;">FECHA</td>
	<td><?php echo date_format(date_create($xfecha1),'d/M/Y').' - '.date_format(date_create($xfecha2),'d/M/Y');?></td>
</tr>

<?php	
$sql_descri='select * from enti0 where enti_codigo like "'.$xenti.'"';
$res_descri=mysql_query($sql_descri,$link_vcrx);
$enti_descri=mysql_result($res_descri,0,'enti_descri');	
?>
	<tr>
    	<td style="font-weight:bolder;">EMPLEADO</td>
		<td style ="font-size:14px;"><?php echo $xenti.' - <b>'.$enti_descri;?></b></td>
   </tr>

	<tr>
    	<td style="font-weight:bolder;">CARGO</td>
<!-- 	  	<td><?php echo mysql_result($res_descri,0,'enti_cargo');?></td>  -->
   </tr>

	<tr>
    	<td style="font-weight:bolder;">CENTRO-SUB</td>
<!--     	<td><?php echo mysql_result($res_descri,0,'csub_descri');?></td> -->
   </tr>

	<tr>
<!--     	<td style="font-weight:bolder;">SUELDO</td> -->
<!--     	<td><?php echo mysql_result($res_descri,0,'csub_descri');?></td> -->
   </tr>

	<tr>
<!--     	<td style="font-weight:bolder;">DIAS TRABAJADOS</td> -->
<!--     	<td><?php echo mysql_result($res_descri,0,'csub_descri');?></td> -->
   </tr>


</table>




<td>
<!----++++++++++------>
<table border="1" width="100%" cellspacing="0" cellpadding="2" style="border-collapse:collapse">
<tr>
	<th width="30%"  style="background: #F7F7F7;">I N F O</th>
	<th></th>    
</tr>

<?php
$sql_empr='select * from empr0';
$res_empr=mysql_query($sql_empr,$link_vcrx);
?>
<tr>
	<td align="right">EMPRESA:</td>
	<td><?php echo mysql_result($res_empr,0,'empr_descri');?></td>
</tr>

<tr>
	<td align="right">USUARIO:</td>
	<td><?php echo $_SESSION['user_vcrx_id'].' / '.$_SESSION['user_vcrx_descri'];?></td>
</tr>
<tr>
	<td align="right">FECHA / HORA :</td>
	<td><?php echo date('d/M/Y H:m:s');?></td>
</tr>
</table>
<!----++++++++++------>
</td>




</tr>
</table>
<!----++++++++++------>
<hr/>

<?php
$sql_rolxe='select *,
	sum(tcant) as ttcant,
	sum(tsubt) as ttsubt,
	sum(tingreso) as ttingreso,
	sum(tegreso) as ttegreso,
	sum(tprovi1) as ttprovi1,
	sum(tprovi2) as ttprovi2,
	sum(total) as ttotal
	from rolp12 where ';
$sql_rolxe.= ' nvdd like "X%" ';
$sql_rolxe.= ' and fecha>="'.$xfecha1.'" and fecha<="'.$xfecha2.'" ';
$sql_rolxe.= ' and enti2="'.$xenti.'"';	 
$sql_rolxe.= ' group by nvdd order by nvdd ';	 
	 
?>
	
<table border="0" width="100%" cellpadding="2" cellspacing="0" style="border-collapse:collapse">

<tr align="center" style="background: #F7F7F7; border-top:solid 1px#000;border-bottom:solid 1px#000">
<th width = "50%">INGRESOS</th>	
<th width = "50%">DESCUENTOS</th>	
</tr>
<tr>
<td>
<table border="0" align="center" width="90%" cellpadding="2" cellspacing="0" style="border-collapse:collapse">
<tr>
<!-- <th>ITEM</th>	 -->
<!-- <th>Cant.</th>	 -->
<!-- <th>Valor</th>	 -->
<!-- <th>Total</th>	 -->
</tr>	
<?php 
$filax=1;
$xtotal=0;
$res_rolxe=mysql_query(str_replace('X%','1%',$sql_rolxe),$link_vcrx);
	while($r_rolxe=mysql_fetch_assoc($res_rolxe))
{
$duni=2;
$xtotal+=$r_rolxe['ttsubt'];
?>
<tr style=" <?php if($filax==3){echo 'border-bottom:dotted 1px #000;';$filax=1;}else{$filax++;} ?>">
<td>
	<?php echo'<span title="'.$r_rolxe['nvdd_posi'].'">'.$r_rolxe['nvdd_descri'].'</span>';?>
</td>	
<!-- 
<td align="right">
	<?php echo number_format($r_rolxe['ttcant'],$duni);?>
</td>	
<td align="right">
	<?php echo number_format($r_rolxe['puni'],$duni);?>
</td>	
 -->
	<td align="right">
	<?php echo number_format($r_rolxe['ttsubt'],$duni);?>
</td>	
</tr>		
<?php } ?>
<tr style ="border-top:solid 1px;border-bottom:solid 1px;">	
<th align="right">TOTAL</th>	
<th align="right"><?php echo number_format($xtotal,2)?></th>	
</tr>
</table>	
</td>
<td>
<table border="0" align="center" width="90%" cellpadding="2" cellspacing="0" style="border-collapse:collapse">
<tr>
<!-- <th>ITEM</th>	 -->
<!-- <th>Cant.</th>	 -->
<!-- <th>Valor</th>	 -->
<!-- <th>Total</th>	 -->
</tr>	
<?php 
$xtotal=0;
$filax=1;
$res_rolxe=mysql_query(str_replace('X%','2%',$sql_rolxe),$link_vcrx);
while($r_rolxe=mysql_fetch_assoc($res_rolxe))
{
$duni=2;
$xtotal+=$r_rolxe['ttsubt'];
?>
<tr style=" <?php if($filax==3){echo 'border-bottom:dotted 1px #000;';$filax=1;}else{$filax++;} ?>">
<td>
	<?php echo'<span title="'.$r_rolxe['nvdd_posi'].'">'.$r_rolxe['nvdd_descri'].'</span>';?>
</td>	
<!-- 
<td align="right">
	<?php echo number_format($r_rolxe['ttcant'],$duni);?>
</td>	
<td align="right">
	<?php echo number_format($r_rolxe['puni'],$duni);?>
</td>	
 -->
	<td align="right">
	<?php echo number_format($r_rolxe['ttsubt'],$duni);?>
</td>	
</tr>		
<?php } ?>
<tr style ="border-top:solid 1px;border-bottom:solid 1px;">	
<th align="right">TOTAL</th>	
<th align="right"><?php echo number_format($xtotal,2)?></th>	
</tr>
</table>	
</td>
</tr>
</table>

<br>
<br>
<br>
<br>
<table >
<tr style="font-size:16px;">
	<th align="left" width="15%">NETO A RECIBIR :</th>
	<th align="left"><?php echo '$'.number_format($xtingreso-$xtegreso,2)?></th>
</tr>	
<tr style="font-size:14px;">
	<th align="left">SON :</th>
	<th align="left"><?php echo  numtoletras($xtingreso-$xtegreso)?></th>
	<th width="30%" style="border-top:solid 1px">RECIBI CONFORME</th>
</tr>	
	
	</table>	
<br />
</div>
</div>

<?php } ?>
	

	<H1 class=SaltoDePagina> </H1>

<?php	
// if ($xconta % 2 && $_GET['formato']<6) 
// {}
?>

	
<?php } ?>

<br>

<div id="rolxeot2"></div>
</body>
</html>